# Created by pyp2rpm-1.0.1
%global pypi_name gevent-websocket
%global with_python3 1
%define version 0.9.5

Name:           python-gevent-websocket
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Websocket handler for the gevent pywsgi server, a Python network library

License:        ASL 2.0
URL:            https://bitbucket.org/noppo/gevent-websocket
Source0:        https://pypi.python.org/packages/source/g/gevent-websocket/gevent-websocket-%{version}.tar.gz
BuildArch:      noarch

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
gevent-websocket is a WebSocket library for the gevent networking library.

Features include:

- Integration on both socket level or using an abstract interface.
- RPC and PubSub framework using WAMP (WebSocket Application
  Messaging Protocol).
- Easily extendible using a simple WebSocket protocol plugin API

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Websocket handler for the gevent pywsgi server, a Python network library


%description -n python3-%{pypi_name}
gevent-websocket is a WebSocket library for the gevent networking library.

Features include:

- Integration on both socket level or using an abstract interface.
- RPC and PubSub framework using WAMP (WebSocket Application
  Messaging Protocol).
- Easily extendible using a simple WebSocket protocol plugin API
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
2to3 -w .
%endif # with_python3


%build
%py3_build


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif # with_python3


%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/geventwebsocket
%{python3_sitelib}/gevent_websocket-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.5-3.mga8
+ Revision: 1533105
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.9.5-2.mga8
+ Revision: 1443377
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.9.5-1.mga7
+ Revision: 1353162
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.3-10.mga7
+ Revision: 1288921
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.9.3-9.mga7
+ Revision: 1135434
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.9.3-8.mga6
+ Revision: 971078
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.9.3-7.mga6
+ Revision: 888990
- rebuild for python 3.5

* Mon Jan 05 2015 joequant <joequant> 0.9.3-6.mga5
+ Revision: 808664
- python3
- add python3

* Wed Oct 22 2014 danf <danf> 0.9.3-5.mga5
+ Revision: 792400
- Added URL and License and made the description readable

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-4.mga5
+ Revision: 747102
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.3-3.mga5
+ Revision: 728543
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-2.mga5
+ Revision: 688049
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 joequant <joequant> 0.9.3-1.mga5
+ Revision: 653259
- add build requires
- imported package python-gevent-websocket

